Billing Item

A billing item is a line item that's being billing for on an insurance claim or superbill.

The billing item model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the billing item.

  • Name
    date_of_service_start
    Type
    date-time
    Description

    Date and time of the start of the service.

  • Name
    date_of_service_end
    Type
    date-time
    Description

    Date and time of the end of the service.

  • Name
    procedure
    Type
    string
    Description

    Procedure code for the procedure being billed.

  • Name
    modifiers
    Type
    array of strings
    Description

    List of modifiers for the procedure.

  • Name
    quantity
    Type
    number
    Description

    Quantity of the procedure being billed.

  • Name
    fee
    Type
    number
    Description

    Fee for the procedure being billed.

  • Name
    associated_diagnoses
    Type
    array of strings
    Description

    List of diagnoses associated with the procedure.

  • Name
    allowed
    Type
    number
    Description

    Amount that was allowed for the procedure. Will be set automatically when the remittances arrive.

  • Name
    denial_reason
    Type
    string
    Description

    Reason why the procedure was denied. Will be set automatically when the remittances arrive.

  • Name
    paid_date
    Type
    date-time
    Description

    ISO timestamp of when the procedure was paid. Will be set automatically when the remittances arrive.

  • Name
    notes
    Type
    string
    Description

    Notes associated with the billing item.

Response

{
    "id": "2UxtAULYUrX7GVsTKePy",
    "date_of_service_start": "2024-04-10T13:20:21.724Z",
    "date_of_service_end": "2024-04-10T13:20:21.724Z",
    "procedure": "99213",
    "modifiers": ["95"],
    "quantity": 1,
    "fee": 100.0,
    "associated_diagnoses": ["E10.0"],
    "allowed": 100.0,
    "denial_reason": "",
    "paid_date": "2024-04-10T13:20:21.724Z",
    "notes": ""
}

POST/v2/insurance_claims/:insurance_claim_id/billing_items

Create a billing item

Creates a new billing line item.

Required attributes

  • Name
    date_of_service_start
    Type
    date-time
    Description

    Date and time of the start of the service.

  • Name
    date_of_service_end
    Type
    date-time
    Description

    Date and time of the end of the service.

  • Name
    procedure
    Type
    string
    Description

    Procedure code for the procedure being billed.

  • Name
    quantity
    Type
    number
    Description

    Quantity of the procedure being billed.

  • Name
    fee
    Type
    number
    Description

    Fee for the procedure being billed.

  • Name
    associated_diagnoses
    Type
    array of strings
    Description

    List of diagnoses associated with the procedure.

Optional attributes

  • Name
    modifiers
    Type
    array of strings
    Description

    List of modifiers for the procedure.

  • Name
    notes
    Type
    string
    Description

    Notes associated with the billing item.

Request

POST
/v2/insurance_claims/:insurance_claim_id/billing_items
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{
    "date_of_service_start": "2025-01-15T14:30:00.000Z",
    "date_of_service_end": "2025-01-15T14:30:00.000Z",
    "procedure": "Example",
    "quantity": 1,
    "fee": 1,
    "associated_diagnoses": []
  }'

Response

     {
        "id": "2UxtAULYUrX7GVsTKePy",
        "date_of_service_start": "2024-04-10T13:20:21.724Z",
        "date_of_service_end": "2024-04-10T13:20:21.724Z",
        "procedure": "99213",
        "modifiers": ["95"],
        "quantity": 1,
        "fee": 100.0,
        "associated_diagnoses": ["E10.0"],
        "allowed": 100.0,
        "denial_reason": "",
        "paid_date": "2024-04-10T13:20:21.724Z",
        "notes": ""
    }

POST/v2/insurance_claims/:insurance_claim_id/billing_items/:id

Update a billing line item

Required attributes

Optional attributes

  • Name
    date_of_service_start
    Type
    date-time
    Description

    Date and time of the start of the service.

  • Name
    date_of_service_end
    Type
    date-time
    Description

    Date and time of the end of the service.

  • Name
    procedure
    Type
    string
    Description

    Procedure code for the procedure being billed.

  • Name
    quantity
    Type
    number
    Description

    Quantity of the procedure being billed.

  • Name
    fee
    Type
    number
    Description

    Fee for the procedure being billed.

  • Name
    associated_diagnoses
    Type
    array of strings
    Description

    List of diagnoses associated with the procedure.

  • Name
    modifiers
    Type
    array of strings
    Description

    List of modifiers for the procedure.

  • Name
    notes
    Type
    string
    Description

    Notes associated with the billing item.

Request

POST
/v2/insurance_claims/:insurance_claim_id/billing_items/:id
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "Content-Type: application/json" \
  --data '{}'

Response

    {
        "id": "2UxtAULYUrX7GVsTKePy",
        "date_of_service_start": "2024-04-10T13:20:21.724Z",
        "date_of_service_end": "2024-04-10T13:20:21.724Z",
        "procedure": "99213",
        "modifiers": ["95"],
        "quantity": 1,
        "fee": 100.0,
        "associated_diagnoses": ["E10.0"],
        "allowed": 100.0,
        "denial_reason": "",
        "paid_date": "2024-04-10T13:20:21.724Z",
        "notes": ""
    }

DELETE/v2/insurance_claims/:insurance_claim_id/billing_items/:id

Delete a billing line item

Deletes the specified billing line item.

Required attributes

    Optional attributes

      Request

      DELETE
      /v2/insurance_claims/:insurance_claim_id/billing_items/:id
      curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/insurance_claims/:insurance_claim_id/billing_items/:id" \
        -H "Authorization: Bearer {{token}}" \
        -H "x-jwt: {{jwt}}"
      

      Response

          {
              "id": "2UxtAULYUrX7GVsTKePy",
              "object": "billing_item",
              "delete": true
          }